include ../Makefile.config

CFLAGS     = -I../src
LDFLAGS    = -largtable -L../src
RUNTESTS   = 
TARGETEXE  = example0 example1 example2 example3

all:	obj exe doc

obj:	

exe:    ${TARGETEXE}

doc:	

example0: example0.c
	${CC} example0.c ${CFLAGS} -o $@ ${LDFLAGS}

example1: example1.c
	${CC} example1.c ${CFLAGS} -o $@ ${LDFLAGS}

example2: example2.c
	${CC} example2.c ${CFLAGS} -o $@ ${LDFLAGS}

example3: example3.c
	${CC} example3.c ${CFLAGS} -o $@ ${LDFLAGS}

clean:
	-rm -f ${TARGETEXE} *~

